Bug 1563575 - [abrt] vino: _XSend(): vino-server killed by SIGSEGV
Summary: [abrt] vino: _XSend(): vino-server killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b2f78d93d49b344facb89ae0ba...
: 1574738 1576854 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 08:26 UTC by Jonathan Haas
Modified: 2018-05-26 20:42 UTC (History)
7 users (show)

Fixed In Version: vino-3.22.0-9.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-26 20:42:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.29 KB, text/plain)
2018-04-04 08:26 UTC, Jonathan Haas
no flags Details
File: cgroup (379 bytes, text/plain)
2018-04-04 08:26 UTC, Jonathan Haas
no flags Details
File: core_backtrace (13.73 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: cpuinfo (1.49 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: dso_list (8.17 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: environ (1.69 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: exploitable (100 bytes, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: maps (38.88 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: mountinfo (4.37 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: open_fds (943 bytes, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-04 08:27 UTC, Jonathan Haas
no flags Details

Description Jonathan Haas 2018-04-04 08:26:52 UTC
Description of problem:
Crash happened after login to wayland session. Was previously using Xorg.

Version-Release number of selected component:
vino-3.22.0-6.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
journald_cursor: s=a226d9fefa8f4c028739e4f3cf84f391;i=355d1;b=15751ad173ff4594bfc52e7966bd5650;m=7e007ad6;t=5690189e550e0;x=7fbb5f89dfcebd28
kernel:         4.16.0-0.rc7.git0.1.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XSend at xcb_io.c:451
 #1 XQueryExtension at QuExt.c:47
 #2 get_xinput_base at XTest.c:79
 #3 find_display at XTest.c:83
 #4 XTestQueryExtension at XTest.c:101
 #5 vino_input_init at server/vino-input.c:761
 #6 name_acquired at server/vino-main.c:152
 #7 do_call at gdbusnameowning.c:215
 #8 request_name_cb at gdbusnameowning.c:334
 #9 g_task_return_now at gtask.c:1148

Potential duplicate: bug 1464799

Comment 1 Jonathan Haas 2018-04-04 08:26:58 UTC
Created attachment 1417116 [details]
File: backtrace

Comment 2 Jonathan Haas 2018-04-04 08:26:59 UTC
Created attachment 1417117 [details]
File: cgroup

Comment 3 Jonathan Haas 2018-04-04 08:27:01 UTC
Created attachment 1417118 [details]
File: core_backtrace

Comment 4 Jonathan Haas 2018-04-04 08:27:03 UTC
Created attachment 1417119 [details]
File: cpuinfo

Comment 5 Jonathan Haas 2018-04-04 08:27:04 UTC
Created attachment 1417120 [details]
File: dso_list

Comment 6 Jonathan Haas 2018-04-04 08:27:06 UTC
Created attachment 1417121 [details]
File: environ

Comment 7 Jonathan Haas 2018-04-04 08:27:08 UTC
Created attachment 1417122 [details]
File: exploitable

Comment 8 Jonathan Haas 2018-04-04 08:27:09 UTC
Created attachment 1417123 [details]
File: limits

Comment 9 Jonathan Haas 2018-04-04 08:27:11 UTC
Created attachment 1417124 [details]
File: maps

Comment 10 Jonathan Haas 2018-04-04 08:27:12 UTC
Created attachment 1417125 [details]
File: mountinfo

Comment 11 Jonathan Haas 2018-04-04 08:27:14 UTC
Created attachment 1417126 [details]
File: open_fds

Comment 12 Jonathan Haas 2018-04-04 08:27:15 UTC
Created attachment 1417127 [details]
File: proc_pid_status

Comment 13 Jonathan Haas 2018-04-06 12:51:54 UTC
Similar problem has been detected:

Directly after login

reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
journald_cursor: s=a226d9fefa8f4c028739e4f3cf84f391;i=3d9d3;b=8404511ed7554caa84e68a3ba3f711b9;m=6475189a9;t=569296250b4c7;x=aa2679714538ba01
kernel:         4.16.0-0.rc7.git0.1.fc28.x86_64
package:        vino-3.22.0-6.fc28
reason:         vino-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Hayden 2018-04-18 19:27:09 UTC
Similar problem has been detected:

Logged in to the desktop

reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
journald_cursor: s=80f4530333c74266a92cfe47612417c3;i=1380;b=a5170fac7ce14bb0967c85a086609f99;m=2ee098e;t=56a2468311df9;x=a460e8ba6b51fb54
kernel:         4.16.2-300.fc28.x86_64
package:        vino-3.22.0-6.fc28
reason:         vino-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Ondrej Holy 2018-05-18 12:34:30 UTC
*** Bug 1576854 has been marked as a duplicate of this bug. ***

Comment 16 Ondrej Holy 2018-05-18 12:34:38 UTC
*** Bug 1574738 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Update System 2018-05-21 16:00:38 UTC
vino-3.22.0-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3636667dc

Comment 18 Fedora Update System 2018-05-22 19:37:42 UTC
vino-3.22.0-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3636667dc

Comment 19 Fedora Update System 2018-05-23 07:47:47 UTC
vino-3.22.0-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3636667dc

Comment 20 Fedora Update System 2018-05-23 17:37:02 UTC
vino-3.22.0-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3636667dc

Comment 21 Fedora Update System 2018-05-26 20:42:16 UTC
vino-3.22.0-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.